Package org.wildfly.plugin.provision

## Class ApplicationImageInfo

- java.lang.Object
- - org.wildfly.plugin.provision.ApplicationImageInfo

-     @Deprecated(forRemoval=true)
      public class ApplicationImageInfo
      extends Object

  Deprecated, for removal: This API element is subject to removal in a future version.
  This class holds all configuration to build and push application image from the `image` goal.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `build` | Deprecated, for removal: This API element is subject to removal in a future version. Whether the application image should be built (default is `true`).
    `protected String` | `dockerBinary` | Deprecated, for removal: This API element is subject to removal in a future version. The binary used to build and push images.
    `protected String` | `group` | Deprecated, for removal: This API element is subject to removal in a future version. The group part of the name of the application image.
    `protected String` | `jdkVersion` | Deprecated, for removal: This API element is subject to removal in a future version. Determine which WildFly runtime image to use so that the application runs with the specified JDK.
    `protected String` | `name` | Deprecated, for removal: This API element is subject to removal in a future version. The name part of the application image.
    `protected String` | `password` | Deprecated, for removal: This API element is subject to removal in a future version. The user password to login to the container registry.
    `protected boolean` | `push` | Deprecated, for removal: This API element is subject to removal in a future version. Whether the application image should be pushed (default is `false`).
    `protected String` | `registry` | Deprecated, for removal: This API element is subject to removal in a future version. The container registry.
    `protected String` | `tag` | Deprecated, for removal: This API element is subject to removal in a future version. The tag part of the application image (default is @{code latest}.
    `protected String` | `user` | Deprecated, for removal: This API element is subject to removal in a future version. The user name to login to the container registry.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationImageInfo()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### build

          protected boolean build

      Deprecated, for removal: This API element is subject to removal in a future version.
      Whether the application image should be built (default is `true`).

    - #### push

          protected boolean push

      Deprecated, for removal: This API element is subject to removal in a future version.
      Whether the application image should be pushed (default is `false`).

    - #### jdkVersion

          protected String jdkVersion

      Deprecated, for removal: This API element is subject to removal in a future version.
      Determine which WildFly runtime image to use so that the application runs with the specified JDK. If the value is not set, the `latest` tag of the WildFly runtime image is used. Accepted values are "11", "17".

    - #### group

          protected String group

      Deprecated, for removal: This API element is subject to removal in a future version.
      The group part of the name of the application image.

    - #### name

          protected String name

      Deprecated, for removal: This API element is subject to removal in a future version.
      The name part of the application image. If not set, the value of the artifactId (in lower case) is used.

    - #### tag

          protected String tag

      Deprecated, for removal: This API element is subject to removal in a future version.
      The tag part of the application image (default is @{code latest}.

    - #### registry

          protected String registry

      Deprecated, for removal: This API element is subject to removal in a future version.
      The container registry. If set, the registry is added to the application name. If the image is pushed and the registry is not set, it defaults to "docker.io" to login to the registry.

    - #### user

          protected String user

      Deprecated, for removal: This API element is subject to removal in a future version.
      The user name to login to the container registry.

    - #### password

          protected String password

      Deprecated, for removal: This API element is subject to removal in a future version.
      The user password to login to the container registry.

    - #### dockerBinary

          protected String dockerBinary

      Deprecated, for removal: This API element is subject to removal in a future version.
      The binary used to build and push images. If not explicitly set, there will be an attempt to determine the binary to use. The first attempt will be to check the `docker` command. If that command is not available, `podman` is attempted. If neither is available `null` will be set as the default and an error will occur if attempting to build or push an image.

  - ### Constructor Detail

    - #### ApplicationImageInfo

          public ApplicationImageInfo()

      Deprecated, for removal: This API element is subject to removal in a future version.